ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::TiffData::Impl Class Reference

Private implementation details of TiffData model object. More...

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | ifd
| IFD property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | planeCount
| PlaneCount property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | firstZ
| FirstZ property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | firstC
| FirstC property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | firstT
| FirstT property.
ome::compat::shared_ptr< ome::xml::model::UUID > | uuid
| UUID property.
ome::compat::weak_ptr< ome::xml::model::Pixels > | pixels
| Pixels_BackReference back reference.

## Detailed Description

Private implementation details of TiffData model object.

The documentation for this class was generated from the following file:

- ome/xml/model/TiffData.cpp